/**
 * SWPageMonGX.r
 *
 *  Build the resource file for the page montior
 *
 **/

#define SystemSevenOrLater 1
#include "Types.r"
#include "SysTypes.r"
#include "PrintingResTypes.r"
#include "PageMonRes.h"

#define swCreator	'SPmx'

/**
 ** STR# reosurces for the print extension...
 **/
resource 'STR#' (PAGE_MON_STRS, purgeable) {
	{ /* Array, 1 element */
		/* [1] */	":Printing Prefs:StyleWriter II Log",
		/* [2] */	"  Number of pages printed: "
	}
};

/*=================== Page Mon Code Segment and Jump Table Constants =================== */

#define	pageMonCodeSegmentID				0

#define	gxImageJobOffset					4
#define	gxImagePageOffset					8

/*=================== Required Printing Extension Types and Resources =================== */



/*============== Printing Extension Resources ============== */


/*======= Printing Extension Version Resource ======= */

resource 'vers' (gxPrintingExtensionBaseID, purgeable) {
	0x01,							/* Major version */ 
	0x00,							/* Minor version */
	development,				/* What type of release?  Dev for now */
	0x1,							/* the number after the "d" */
	verUS,						/* Country Code */
	"1.0d1",						/* Short version string */
	"Version 1.0d1, Copyright \251 Gordon Watts 1994"
};

/*======= Printing Extension Loading Priority ('load') Resource ======= */

resource gxExtensionLoadType (gxExtensionLoadID, purgeable, sysHeap)
{
	gxExtensionLoadLast
};


/*======= Printing Extension Optimization ('eopt') Resource ======= */

resource gxExtensionOptimizationType (gxExtensionOptimizationID, purgeable, sysHeap)
{
	gxExecuteDuringImaging,
	gxDontNeedDeviceStatus,
	gxDontChangePageAtGXDespoolPage,
	gxChangePageAtGXImagePage,
	gxDontChangePageAtGXRenderPage,
	gxServerPresenceRequired,
	gxClientPresenceRequired
};


/*======= Scope ('scop') Resource -- We only work with the SWII dude... ======= */

resource gxExtensionScopeType (gxDriverScopeID, purgeable, sysHeap)
{
	{
		'univ';		// Only the style writer II driver will work for us...
	};
}; 

/*======= Message Override ('over') Resource ======= */

resource gxOverrideType (gxExtensionUniversalOverrideID, purgeable, sysHeap)
{
	{
		gxImageJob, pageMonCodeSegmentID, gxImageJobOffset;
		gxImagePage, pageMonCodeSegmentID, gxImagePageOffset;
	};
};


/*=================== Standard BNDL, ICN#, and FREF Resources =================== */


type swCreator as 'STR ';

resource swCreator (0, purgeable, sysHeap)
{
	"Style Writer Page Monitor Printing Extension 1.0d1"
};


/* The 'BNDL', 'ICN#', and 'FREF' are needed so the extension's icon shows up. */

resource 'BNDL' (gxPrintingExtensionBaseID, purgeable, sysHeap)
{
	swCreator, 0,
	{	'ICN#', {0, gxPrintingExtensionBaseID},
		'FREF', {0, gxPrintingExtensionBaseID}
	}
};

/*======= extension icon ======= */
data 'ICN#' (gxPrintingExtensionBaseID, "StyleWriter Puzzle piece", sysheap, purgeable) {
	$"007F FC00 0080 6200 0040 5C00 7FE0 C7FE"            /* .....b..@\.... */
	$"8000 80C1 8001 8039 8039 0031 8047 0061"            /* ..99.1G.a */
	$"8040 E041 8080 1CC1 8080 0381 811C 30E1"            /* @.A...0. */
	$"811C 3039 821A 3049 821A 3089 8219 3089"            /* .09.0I.0.0 */
	$"8219 3109 8218 B209 8218 B209 8218 7409"            /* .1Ƃ.Ƃ.Ƃ.t */
	$"8218 7409 8300 0409 8380 0409 80E0 0409"            /* .tƃ..ƃ.ƀ.. */
	$"8038 0409 80CF 0409 8101 C409 8606 7431"            /* 8.ƀ.Ɓ.Ɔ.t1 */
	$"80FF FE41 8080 0101 8040 0201 7FE0 07FE"            /* ..A..@...... */
	$"003F FC00 007F FE00 003F FC00 7FFF FFFE"            /* .?.......?...... */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FF80 01FF FFC0 03FF 7FE0 07FE"            /* .............. */
};

data 'icl4' (gxPrintingExtensionBaseID, "StyleWriter Puzzle Piece", sysheap, purgeable) {
	$"0000 0000 0FFF FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 FCCC CCCC CFFC CCF0 0000 0000"            /* ........... */
	$"0000 0000 0FCC CCCC CF0F FF00 0000 0000"            /* ............ */
	$"0FFF FFFF FFFC CCCC FF00 0FFF FFFF FFF0"            /* .............. */
	$"FCCC CCCC CCCC CCCC F000 0000 FFCC CCCF"            /* ...... */
	$"FCCC CCCC CCCC CCCF F000 0000 00FF FCCF"            /* ........ */
	$"FCCC CCCC CCFF FCCF 0000 0000 00FF CCCF"            /* ......... */
	$"FCCC CCCC CFCC CFFF 0000 0000 0FFC CCCF"            /* ........ */
	$"FCCC CCCC CFCC CCCC FFF0 0000 0FCC CCCF"            /* ...... */
	$"FCCC CCCC FCCC CCCC CCCF FF00 FFCC CCCF"            /* ..... */
	$"FCCC CCCC FCCC CCCC CCCC CCFF FCCC CCCF"            /* .... */
	$"FCCC CCCF CCCF FFCC CCFF CCCC FFFC CCCF"            /* ..... */
	$"FCCC CCCF CCCF FFCC CCFF CCCC CCFF FCCF"            /* ..... */
	$"FCCC CCFC CCCF FCFC CCFF CCCC CECC FCCF"            /* ...... */
	$"FCCC CCFC CCCF FCFC CCFF CCCC ECCC FCCF"            /* ....... */
	$"FCCC CCFC CCCF FCCF CCFF CCCC ECCC FCCF"            /* ...... */
	$"FCCC CCFC CCCF FCCF CCFF CCCE CCCC FCCF"            /* ..... */
	$"FCCC CCFC CCCF FCCC FCFF CCEC CCCC FCCF"            /* ....... */
	$"FCCC CCFC CCCF FCCC FCFF CCEC CCCC FCCF"            /* ....... */
	$"FCCC CCFC CCCF FCCC CFFF CECC CCCC FCCF"            /* ..... */
	$"FCCC CCFC CCCF FCCC CFFF CECC CCCC FCCF"            /* ..... */
	$"FCCC CCFE CCCC CCCC CCCC CECC CCCC FCCF"            /* ... */
	$"FCCC CCFF FCCC CCCC CCCC CECC CCCC FCCF"            /* .... */
	$"FCCC CCCC FFFC CCCC CCCC CECC CCCC FCCF"            /* .... */
	$"FCCC CCCC CCFF FCCE CCCC CECC CCCC FCCF"            /* .... */
	$"FCCC CCCC FFCC FFFE CCCC CECC CCCC FCCF"            /* ..... */
	$"FCCC CCCF CCCC CCCF FFCC CECC CCCC FCCF"            /* ... */
	$"FCCC CFFC CCCC CFFC CFFF CECC CCFF CCCF"            /* ..... */
	$"FCCC CCCC FFFF FFFF FFFF FFFC CFCC CCCF"            /* ......... */
	$"FCCC CCCC F000 0000 0000 000F CCCC CCCF"            /* ......... */
	$"FCCC CCCC CF00 0000 0000 00FC CCCC CCCF"            /* ........ */
	$"0FFF FFFF FFF0 0000 0000 0FFF FFFF FFF0"            /* ................ */
};

data 'icl8' (gxPrintingExtensionBaseID, "StyleWriter Puzzle piece", sysheap, purgeable) {
	$"0000 0000 0000 0000 00FF FFFF FFFF FFFF"            /* ................ */
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 FF2B 2B2B 2B2B 2B2B"            /* .........+++++++ */
	$"2BFF FF2B 2B2B FF00 0000 0000 0000 0000"            /* +..+++.......... */
	$"0000 0000 0000 0000 00FF 2B2B 2B2B 2B2B"            /* ..........++++++ */
	$"2BFF 00FF FFFF 0000 0000 0000 0000 0000"            /* +............... */
	$"00FF FFFF FFFF FFFF FFFF FF2B 2B2B 2B2B"            /* ...........+++++ */
	$"FFFF 0000 00FF FFFF FFFF FFFF FFFF FF00"            /* ................ */
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"            /* .+++++++++++++++ */
	$"FF00 0000 0000 0000 FFFF 2B2B 2B2B 2BFF"            /* ..........+++++. */
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF"            /* .++++++++++++++. */
	$"FF00 0000 0000 0000 0000 FFFF FF2B 2BFF"            /* .............++. */
	$"FF2B 2B2B 2B2B 2B2B 2B2B FFFF FF2B 2BFF"            /* .+++++++++...++. */
	$"0000 0000 0000 0000 0000 FFFF 2B2B 2BFF"            /* ............+++. */
	$"FF2B 2B2B 2B2B 2B2B 2BFF 2B2B 2BFF FFFF"            /* .++++++++.+++... */
	$"0000 0000 0000 0000 00FF FF2B 2B2B 2BFF"            /* ...........++++. */
	$"FF2B 2B2B 2B2B 2B2B 2BFF 2B2B 2B2B 2B2B"            /* .++++++++.++++++ */
	$"FFFF FF00 0000 0000 00FF 2B2B 2B2B 2BFF"            /* ..........+++++. */
	$"FF2B 2B2B 2B2B 2B2B FF2B 2B2B 2B2B 2B2B"            /* .+++++++.+++++++ */
	$"2B2B 2BFF FFFF 0000 FFFF 2B2B 2B2B 2BFF"            /* +++.......+++++. */
	$"FF2B 2B2B 2B2B 2B2B FF2B 2B2B 2B2B 2B2B"            /* .+++++++.+++++++ */
	$"2B2B 2B2B 2B2B FFFF FF2B 2B2B 2B2B 2BFF"            /* ++++++...++++++. */
	$"FF2B 2B2B 2B2B 2BFF 2B2B 2BFF FFFF 2B2B"            /* .++++++.+++...++ */
	$"2B2B FFFF 2B2B 2B2B FFFF FF2B 2B2B 2BFF"            /* ++..++++...++++. */
	$"FF2B 2B2B 2B2B 2BFF 2B2B 2BFF FFFF 2B2B"            /* .++++++.+++...++ */
	$"2B2B FFFF 2B2B 2B2B 2B2B FFFF FF2B 2BFF"            /* ++..++++++...++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B FF2B"            /* .+++++.++++..+.+ */
	$"2B2B FFFF 2B2B 2B2B 2BFC 2B2B FF2B 2BFF"            /* ++..+++++.++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B FF2B"            /* .+++++.++++..+.+ */
	$"2B2B FFFF 2B2B 2B2B FC2B 2B2B FF2B 2BFF"            /* ++..++++.+++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2BFF"            /* .+++++.++++..++. */
	$"2B2B FFFF 2B2B 2B2B FC2B 2B2B FF2B 2BFF"            /* ++..++++.+++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2BFF"            /* .+++++.++++..++. */
	$"2B2B FFFF 2B2B 2BFC 2B2B 2B2B FF2B 2BFF"            /* ++..+++.++++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2B2B"            /* .+++++.++++..+++ */
	$"FF2B FFFF 2B2B FC2B 2B2B 2B2B FF2B 2BFF"            /* .+..++.+++++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2B2B"            /* .+++++.++++..+++ */
	$"FF2B FFFF 2B2B FC2B 2B2B 2B2B FF2B 2BFF"            /* .+..++.+++++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2B2B"            /* .+++++.++++..+++ */
	$"2BFF FFFF 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +...+.++++++.++. */
	$"FF2B 2B2B 2B2B FF2B 2B2B 2BFF FF2B 2B2B"            /* .+++++.++++..+++ */
	$"2BFF FFFF 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +...+.++++++.++. */
	$"FF2B 2B2B 2B2B FFFC 2B2B 2B2B 2B2B 2B2B"            /* .+++++..++++++++ */
	$"2B2B 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +++++.++++++.++. */
	$"FF2B 2B2B 2B2B FFFF FF2B 2B2B 2B2B 2B2B"            /* .+++++...+++++++ */
	$"2B2B 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +++++.++++++.++. */
	$"FF2B 2B2B 2B2B 2B2B FFFF FF2B 2B2B 2B2B"            /* .+++++++...+++++ */
	$"2B2B 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +++++.++++++.++. */
	$"FF2B 2B2B 2B2B 2B2B 2B2B FFFF FF2B 2BFC"            /* .+++++++++...++. */
	$"2B2B 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +++++.++++++.++. */
	$"FF2B 2B2B 2B2B 2B2B FFFF 2B2B FFFF FFFC"            /* .+++++++..++.... */
	$"2B2B 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* +++++.++++++.++. */
	$"FF2B 2B2B 2B2B 2BFF 2B2B 2B2B 2B2B 2BFF"            /* .++++++.+++++++. */
	$"FFFF 2B2B 2BFC 2B2B 2B2B 2B2B FF2B 2BFF"            /* ..+++.++++++.++. */
	$"FF2B 2B2B 2BFF FF2B 2B2B 2B2B 2BFF FF2B"            /* .++++..++++++..+ */
	$"2BFF FFFF 2BFC 2B2B 2B2B FFFF 2B2B 2BFF"            /* +...+.++++..+++. */
	$"FF2B 2B2B 2B2B 2B2B FFFF FFFF FFFF FFFF"            /* .+++++++........ */
	$"FFFF FFFF FFFF FF2B 2BFF 2B2B 2B2B 2BFF"            /* .......++.+++++. */
	$"FF2B 2B2B 2B2B 2B2B FF00 0000 0000 0000"            /* .+++++++........ */
	$"0000 0000 0000 00FF 2B2B 2B2B 2B2B 2BFF"            /* ........+++++++. */
	$"FF2B 2B2B 2B2B 2B2B 2BFF 0000 0000 0000"            /* .++++++++....... */
	$"0000 0000 0000 FF2B 2B2B 2B2B 2B2B 2BFF"            /* .......++++++++. */
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"            /* ................ */
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"            /* ................ */
};


resource 'FREF' (gxPrintingExtensionBaseID, purgeable, sysHeap)
{
	'pext', 0, ""
};
